Package org.flowable.dmn.model

# Class DmnElement

java.lang.Object
org.flowable.dmn.model.DmnElement

Direct Known Subclasses:
  `DecisionRule`, `DmnDiDiagramElement`, `DmnExtensionElement`, `Expression`, `GraphicInfo`, `InputClause`, `NamedElement`, `OutputClause`, `UnaryTests`

public abstract class DmnElement extends Object

Author:
  Yvo Swillens, Bassam Al-Sarori

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,List<DmnExtensionAttribute>>`
  `attributes`
  extension attributes could be part of each element
  `protected String`
  `description`
  `protected Map<String,List<DmnExtensionElement>>`
  `extensionElements`
  `protected String`
  `id`
  `protected String`
  `label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DmnElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(DmnExtensionAttribute attribute)`
  `void`
  `addExtensionElement(DmnExtensionElement extensionElement)`
  `Map<String,List<DmnExtensionAttribute>>`
  `getAttributes()`
  `String`
  `getAttributeValue(String namespace, String name)`
  `String`
  `getDescription()`
  `Map<String,List<DmnExtensionElement>>`
  `getExtensionElements()`
  `String`
  `getId()`
  `String`
  `getLabel()`
  `void`
  `setAttributes(Map<String,List<DmnExtensionAttribute>> attributes)`
  `void`
  `setDescription(String description)`
  `void`
  `setExtensionElements(Map<String,List<DmnExtensionElement>> extensionElements)`
  `void`
  `setId(String id)`
  `void`
  `setLabel(String label)`
  `void`
  `setValues(DmnElement otherElement)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### label

    protected String label

  - ### description

    protected String description

  - ### extensionElements

    protected Map<String,List<DmnExtensionElement>> extensionElements

  - ### attributes

    protected Map<String,List<DmnExtensionAttribute>> attributes
    extension attributes could be part of each element

- ## Constructor Details

  - ### DmnElement

    public DmnElement()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public void setLabel(String label)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getExtensionElements

    public Map<String,List<DmnExtensionElement>> getExtensionElements()

  - ### addExtensionElement

    public void addExtensionElement(DmnExtensionElement extensionElement)

  - ### setExtensionElements

    public void setExtensionElements(Map<String,List<DmnExtensionElement>> extensionElements)

  - ### getAttributes

    public Map<String,List<DmnExtensionAttribute>> getAttributes()

  - ### setAttributes

    public void setAttributes(Map<String,List<DmnExtensionAttribute>> attributes)

  - ### getAttributeValue

    public String getAttributeValue(String namespace, String name)

  - ### addAttribute

    public void addAttribute(DmnExtensionAttribute attribute)

  - ### setValues

    public void setValues(DmnElement otherElement)